Bug 837329 - evolution-rspam-0.4.0-2.fc17 is FTBFS
evolution-rspam-0.4.0-2.fc17 is FTBFS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution-rspam (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lucian Langa
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F17FTBFS
  Show dependency treegraph
 
Reported: 2012-07-03 09:21 EDT by Peter Robinson
Modified: 2012-09-24 06:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-24 06:20:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rspam.patch (9.71 KB, patch)
2012-07-04 08:44 EDT, Milan Crha
no flags Details | Diff

  None (edit)
Comment 1 Milan Crha 2012-07-04 08:44:43 EDT
Created attachment 596210 [details]
rspam.patch

This is a quick hack to have it compilable again. It is untested, and it really just compiles.

The changes in rawhide are much bigger than this, thus I suggest to orphan the package, unless someone interested in it takes care of it (I do not use it at all). Apart of API changes the package should move away from GConf. And using branches instead of conditional compiling will simplify code significantly, though that's question for upstream, than for fedora.
Comment 2 Peter Robinson 2012-09-24 06:20:55 EDT
fixed in 0.6.0 in f-18+

Note You need to log in before you can comment on or make changes to this bug.